///<reference path="/Scripts/ExtPB_Net.js" />
///<reference path="/Scripts/MyExtPB.js" />
///<reference path="/Scripts/ExtPB_Dll_Pb_Http.js" />
///<reference path="/Scripts/MyExtPb_Input.js" />
///<reference  path="/CaiGou/Base/W_Main.win.js" /> 

//注意,需要在对象定义后面，手工增加以下代码实现对象继承
// W_CaiGouTuiHuoDan.prototype = new W_Main( ); 

function W_CaiGouTuiHuoDan() {

	 var self=this;
	 this.Instance=null;
	 var requestor= new PBWindow();
	 var tab_1= new TabControl( requestor );
	 var dw_hz= new DataWindow( requestor );
	 var dw_mkfhjb= new DataWindow( requestor );
	 var dw_cgddgsykc= new DataWindow( requestor );
	 var sle_tmh= new SingleLineEdit( requestor );
	 var em_1= new EditMask( requestor );
	 var dw_mx_top= new DataWindow( requestor );
	 var dw_spda= new DataWindow( requestor );
	 var dw_mdsp_list= new DataWindow( requestor );
	 var dw_mx= new DataWindow( requestor );
	 var sle_pptmfa_Value= new SingleLineEdit( requestor );
	 var dw_error_list= new DataWindow( requestor );
	 var dw_35_kc= new DataWindow( requestor );
	 var dw_ysbx= new DataWindow( requestor );
	 var dw_pzbtm= new DataWindow( requestor );
	 var dw_tmjqfs= new DataWindow( requestor );
	 var dw_ddmx_top_tmlr= new DataWindow( requestor );
	 var dw_1= new DataWindow( requestor );
	 var dw_proxy= new DataWindow( requestor );
	 var dw_3= new DataWindow( requestor );
	 var dw_xt_print_print2_cmzbm= new DataWindow( requestor );
	 var dw_sort= new DataWindow( requestor );
	 var dw_init= new DataWindow( requestor );
	 var dw_parameter= new DataWindow( requestor );
	 var dw_da_qx_mokuai= new DataWindow( requestor );
	 var dw_xt_div_tree_no_parm= new DataWindow( requestor );
	 var dw_print= new DataWindow( requestor );
	 var dw_da_qx_mokuai_print= new DataWindow( requestor );
	 var dw_import_PL= new DataWindow( requestor );
	 var dw_ls_flda= new DataWindow( requestor );
	 var tb_1= new ToolStrip( requestor );
	 var ddlb_2= new DropDownListBox( requestor );
	 var ddlb_1= new DropDownListBox( requestor );

	 if(typeof(this.bind)=="function") var baseBind=this.bind;
	 this.bind=function(win){
	 self.Instance=win;
	 if(typeof( baseBind )=="function") baseBind(win);

		 if(requestor == null ) requestor= new PBWindow();
		 requestor.Attach(win);
		 if(tab_1 == null ) tab_1= new TabControl( requestor );
		 tab_1.Attach( win.Control( "tab_1") ); 
		 if(dw_hz == null ) dw_hz= new DataWindow( requestor );
		 dw_hz.Attach( win.Control( "dw_hz") ); 
		 if(dw_mkfhjb == null ) dw_mkfhjb= new DataWindow( requestor );
		 dw_mkfhjb.Attach( win.Control( "dw_mkfhjb") ); 
		 if(dw_cgddgsykc == null ) dw_cgddgsykc= new DataWindow( requestor );
		 dw_cgddgsykc.Attach( win.Control( "dw_cgddgsykc") ); 
		 if(sle_tmh == null ) sle_tmh= new SingleLineEdit( requestor );
		 sle_tmh.Attach( win.Control( "sle_tmh") ); 
		 if(em_1 == null ) em_1= new EditMask( requestor );
		 em_1.Attach( win.Control( "em_1") ); 
		 if(dw_mx_top == null ) dw_mx_top= new DataWindow( requestor );
		 dw_mx_top.Attach( win.Control( "dw_mx_top") ); 
		 if(dw_spda == null ) dw_spda= new DataWindow( requestor );
		 dw_spda.Attach( win.Control( "dw_spda") ); 
		 if(dw_mdsp_list == null ) dw_mdsp_list= new DataWindow( requestor );
		 dw_mdsp_list.Attach( win.Control( "dw_mdsp_list") ); 
		 if(dw_mx == null ) dw_mx= new DataWindow( requestor );
		 dw_mx.Attach( win.Control( "dw_mx") ); 
		 if(sle_pptmfa_Value == null ) sle_pptmfa_Value= new SingleLineEdit( requestor );
		 sle_pptmfa_Value.Attach( win.Control( "sle_pptmfa_Value") ); 
		 if(dw_error_list == null ) dw_error_list= new DataWindow( requestor );
		 dw_error_list.Attach( win.Control( "dw_error_list") ); 
		 if(dw_35_kc == null ) dw_35_kc= new DataWindow( requestor );
		 dw_35_kc.Attach( win.Control( "dw_35_kc") ); 
		 if(dw_ysbx == null ) dw_ysbx= new DataWindow( requestor );
		 dw_ysbx.Attach( win.Control( "dw_ysbx") ); 
		 if(dw_pzbtm == null ) dw_pzbtm= new DataWindow( requestor );
		 dw_pzbtm.Attach( win.Control( "dw_pzbtm") ); 
		 if(dw_tmjqfs == null ) dw_tmjqfs= new DataWindow( requestor );
		 dw_tmjqfs.Attach( win.Control( "dw_tmjqfs") ); 
		 if(dw_ddmx_top_tmlr == null ) dw_ddmx_top_tmlr= new DataWindow( requestor );
		 dw_ddmx_top_tmlr.Attach( win.Control( "dw_ddmx_top_tmlr") ); 
		 if(dw_1 == null ) dw_1= new DataWindow( requestor );
		 dw_1.Attach( win.Control( "dw_1") ); 
		 if(dw_proxy == null ) dw_proxy= new DataWindow( requestor );
		 dw_proxy.Attach( win.Control( "dw_proxy") ); 
		 if(dw_3 == null ) dw_3= new DataWindow( requestor );
		 dw_3.Attach( win.Control( "dw_3") ); 
		 if(dw_xt_print_print2_cmzbm == null ) dw_xt_print_print2_cmzbm= new DataWindow( requestor );
		 dw_xt_print_print2_cmzbm.Attach( win.Control( "dw_xt_print_print2_cmzbm") ); 
		 if(dw_sort == null ) dw_sort= new DataWindow( requestor );
		 dw_sort.Attach( win.Control( "dw_sort") ); 
		 if(dw_init == null ) dw_init= new DataWindow( requestor );
		 dw_init.Attach( win.Control( "dw_init") ); 
		 if(dw_parameter == null ) dw_parameter= new DataWindow( requestor );
		 dw_parameter.Attach( win.Control( "dw_parameter") ); 
		 if(dw_da_qx_mokuai == null ) dw_da_qx_mokuai= new DataWindow( requestor );
		 dw_da_qx_mokuai.Attach( win.Control( "dw_da_qx_mokuai") ); 
		 if(dw_xt_div_tree_no_parm == null ) dw_xt_div_tree_no_parm= new DataWindow( requestor );
		 dw_xt_div_tree_no_parm.Attach( win.Control( "dw_xt_div_tree_no_parm") ); 
		 if(dw_print == null ) dw_print= new DataWindow( requestor );
		 dw_print.Attach( win.Control( "dw_print") ); 
		 if(dw_da_qx_mokuai_print == null ) dw_da_qx_mokuai_print= new DataWindow( requestor );
		 dw_da_qx_mokuai_print.Attach( win.Control( "dw_da_qx_mokuai_print") ); 
		 if(dw_import_PL == null ) dw_import_PL= new DataWindow( requestor );
		 dw_import_PL.Attach( win.Control( "dw_import_PL") ); 
		 if(dw_ls_flda == null ) dw_ls_flda= new DataWindow( requestor );
		 dw_ls_flda.Attach( win.Control( "dw_ls_flda") ); 
		 if(tb_1 == null ) tb_1= new ToolStrip( requestor );
		 tb_1.Attach( win.Control( "tb_1") ); 
		 if(ddlb_2 == null ) ddlb_2= new DropDownListBox( requestor );
		 ddlb_2.Attach( win.Control( "ddlb_2") ); 
		 if(ddlb_1 == null ) ddlb_1= new DropDownListBox( requestor );
		 ddlb_1.Attach( win.Control( "ddlb_1") ); 

	 }

	 if(typeof(this.unbind)=="function") var baseUnBind=this.unbind; 
	 this.unbind=function() {
	 self.Instance=null;
	 if(typeof(this.Release)=="function") this.Release(); 
	 if(typeof(baseUnBind)=="function") baseUnBind(); 

		 tab_1.Detach(); tab_1=null; 
		 dw_hz.Detach(); dw_hz=null; 
		 dw_mkfhjb.Detach(); dw_mkfhjb=null; 
		 dw_cgddgsykc.Detach(); dw_cgddgsykc=null; 
		 sle_tmh.Detach(); sle_tmh=null; 
		 em_1.Detach(); em_1=null; 
		 dw_mx_top.Detach(); dw_mx_top=null; 
		 dw_spda.Detach(); dw_spda=null; 
		 dw_mdsp_list.Detach(); dw_mdsp_list=null; 
		 dw_mx.Detach(); dw_mx=null; 
		 sle_pptmfa_Value.Detach(); sle_pptmfa_Value=null; 
		 dw_error_list.Detach(); dw_error_list=null; 
		 dw_35_kc.Detach(); dw_35_kc=null; 
		 dw_ysbx.Detach(); dw_ysbx=null; 
		 dw_pzbtm.Detach(); dw_pzbtm=null; 
		 dw_tmjqfs.Detach(); dw_tmjqfs=null; 
		 dw_ddmx_top_tmlr.Detach(); dw_ddmx_top_tmlr=null; 
		 dw_1.Detach(); dw_1=null; 
		 dw_proxy.Detach(); dw_proxy=null; 
		 dw_3.Detach(); dw_3=null; 
		 dw_xt_print_print2_cmzbm.Detach(); dw_xt_print_print2_cmzbm=null; 
		 dw_sort.Detach(); dw_sort=null; 
		 dw_init.Detach(); dw_init=null; 
		 dw_parameter.Detach(); dw_parameter=null; 
		 dw_da_qx_mokuai.Detach(); dw_da_qx_mokuai=null; 
		 dw_xt_div_tree_no_parm.Detach(); dw_xt_div_tree_no_parm=null; 
		 dw_print.Detach(); dw_print=null; 
		 dw_da_qx_mokuai_print.Detach(); dw_da_qx_mokuai_print=null; 
		 dw_import_PL.Detach(); dw_import_PL=null; 
		 dw_ls_flda.Detach(); dw_ls_flda=null; 
		 tb_1.Detach(); tb_1=null; 
		 ddlb_2.Detach(); ddlb_2=null; 
		 ddlb_1.Detach(); ddlb_1=null; 
		 requestor.Detach(); requestor=null; 

		 setTimeout(CollectGarbage, 100); 
	 }

	 //以上代码由设计器自动生成,请不要手工修改
	 //ExtPB.Net JavaScript End  设计器查找标志,请不要删除或修改
}
W_CaiGouTuiHuoDan.prototype = new W_Main(); 